using UnityEngine;
using UnityEngine.UI;

public class WindowController : MonoBehaviour
{
    [SerializeField] private Button closeButton;
    public CanvasGroup canvasGroup;

    private void Start()
    {
        closeButton.onClick.AddListener(CloseWindow);
    }
    
    private void CloseWindow()
    {
        if (canvasGroup == null) return;
        MainController.Instance.BackToMenu(canvasGroup);
    }
}
